package com.shkj.wms.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author lch
 */
@Getter
@AllArgsConstructor
public enum PickWayEnum {

    /**
     * 缓存墙 U型拣选站
     */
    cache_wall("cache_wall", "缓存墙"),
    u("u","U型拣选站"),
    ;
    private String value;
    private String desc;

    public static PickWayEnum getPickWayEnum(String value) {
        for (PickWayEnum typeEnum : PickWayEnum.values()) {
            if (typeEnum.getValue().equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }
}
